Subject: bug#17007: 24.3.50; describe-key/function evaluates documentation function in the wrong buffer

From: Nicolas Richard <[email-masked]>
Date: Fri, 14 Mar 2014 16:05:48 +0100

martin rudalics <[email-masked]> writes:
> And I'm still too silly to understand how this (apparently?) worked with
> 24.3 and why it's broken now.  Any ideas?

The 24.3 version of with-help-window used with-output-to-temp-buffer
AFAICT. I'm looking at a commit made on Sun Mar 10 19:35:23 2013 -0700
by Glenn Morris, tagged emacs-24.3 in the git repo (commit 3a1ce06)

Annotating, it was changed on Date: Sat Nov 30 10:25:31 2013 +0100 as
part of the commit (cc07bdb7) entitled "Support resizing frames and
windows pixelwise."

(Sorry for using only git hashes, I don't have the bzr repo up to date)

-- 
Nico.